Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.gradle.api.tasks.bundling
Class Tar

    java.lang.Object
      org.gradle.api.internal.AbstractTask
          org.gradle.api.DefaultTask
              org.gradle.api.internal.ConventionTask
                  org.gradle.api.tasks.bundling.AbstractArchiveTask
                      org.gradle.api.tasks.bundling.Zip
                          org.gradle.api.tasks.bundling.Tar

    class Tar
    extends Zip

author:
  Hans Dockter

Property Summary
`static java.lang.String` | `TAR_EXTENSION`
`org.gradle.api.tasks.bundling.AntTar` | `antTar`
`org.gradle.api.tasks.bundling.Compression` | `compression`
`org.gradle.api.tasks.bundling.LongFile` | `longFile`

Constructor Summary
`Tar(Project project, java.lang.String name)`

Method Summary
`groovy.lang.Closure` | `createAntArchiveTask()`
`AntTar` | `getAntTar()`
`Compression` | `getCompression()`
`LongFile` | `getLongFile()`
`void` | `setAntTar(AntTar antTar)`
`void` | `setCompression(Compression compression)`
`void` | `setLongFile(LongFile longFile)`
`TarFileSet` | `tarFileSet(groovy.lang.Closure configureClosure)`
`TarFileSet` | `tarFileSet(java.util.Map args = [:], groovy.lang.Closure configureClosure = null)`

Methods inherited from class Zip
getAntZip, setAntZip

Methods inherited from class AbstractArchiveTask
addFileSetInternal, antDirective, createAntArchiveTask, createFileSetInternal, fileSet, fileSet, files, files, generateArchive, getAppendix, getArchiveName, getArchivePath, getBaseDir, getBaseName, getClassifier, getCustomName, getDestinationDir, getExtension, getMergeFileSets, getMergeGroupFileSets, getResourceCollections, getVersion, merge, mergeGroup, resourceCollections, setAppendix, setBaseDir, setBaseName, setClassifier, setCreateIfEmpty, setCustomName, setDestinationDir, setExtension, setMergeFileSets, setMergeGroupFileSets, setResourceCollections, setVersion

Methods inherited from class ConventionTask
conv, conventionMapping, conventionMapping, conventionProperty, getConventionAwareHelper, getConventionMapping, setConventionAwareHelper, setConventionMapping

Methods inherited from class DefaultTask
leftShift, methodMissing, propertyMissing

Methods inherited from class AbstractTask
captureStandardOutput, compareTo, defineProperty, deleteAllActions, dependsOn, dependsOnTaskDidWork, disableStandardOutputCapture, doFirst, doLast, equals, execute, getActions, getAdditionalProperties, getAnt, getConvention, getDependsOn, getDescription, getDidWork, getDynamicObjectHelper, getEnabled, getExecuted, getLogger, getName, getPath, getProject, getSkipProperties, getStandardOutputCapture, getTaskDependencies, hasProperty, hashCode, isDidWork, isEnabled, isExecuted, onlyIf, onlyIf, property, setActions, setAdditionalProperties, setDependsOn, setDescription, setDidWork, setEnabled, setExecuted, setName, setProject, setProperty, setSkipProperties, setStandardOutputCapture, toString

Methods inherited from class java.lang.Object
hashCode, getClass, equals, toString, wait, wait, wait, notify, notifyAll

Property Detail

### TAR_EXTENSION

    public static final java.lang.String TAR_EXTENSION

### antTar

    org.gradle.api.tasks.bundling.AntTar antTar

### compression

    org.gradle.api.tasks.bundling.Compression compression

### longFile

    org.gradle.api.tasks.bundling.LongFile longFile

Constructor Detail

### Tar

    public Tar(Project project, java.lang.String name)

Method Detail

### createAntArchiveTask

    groovy.lang.Closure createAntArchiveTask()

### getAntTar

    public AntTar getAntTar()

### getCompression

    public Compression getCompression()

### getLongFile

    public LongFile getLongFile()

### setAntTar

    public void setAntTar(AntTar antTar)

### setCompression

    public void setCompression(Compression compression)

### setLongFile

    public void setLongFile(LongFile longFile)

### tarFileSet

    TarFileSet tarFileSet(groovy.lang.Closure configureClosure)

### tarFileSet

    TarFileSet tarFileSet(java.util.Map args = [:], groovy.lang.Closure configureClosure = null)

Groovy Documentation